收藏
回答

Cannot read property 'mark' of undefined?

app.js错误:

 TypeError: Cannot read property 'mark' of undefined?

基础版本库2.13.2以上的版本,最新开发者工具如下图

sdk已经是最新的版本如下图所示的,

这一直报错,到底是什么问题?

回答关注问题邀请回答
收藏

5 个回答

  • cover
    cover
    03-29

    请具体描述问题出现的流程,并提供能复现问题的简单代码片段(https://developers.weixin.qq.com/miniprogram/dev/devtools/minicode.html)。

    03-29
    有用
    回复 2
    • 🤔
      🤔
      06-10
      就是用腾讯云的聊天,之前版本不报错的,更新调试基础库就报错了
      06-10
      回复
    • 邹百亿
      邹百亿
      06-19回复🤔
      降低版本就解决了 ,没办法
      06-19
      回复
  • 苹果🍎
    苹果🍎
    05-10

    你用 ES7的语法了吧,async await ?, 需要开启增强编译~

    05-10
    有用 1
    回复 2
    • 邹百亿
      邹百亿
      05-11
      表示没有,调低基础版本库就没有问题
      05-11
      回复
    • 王
大
锤
      王 大 锤
      06-17
      开了就不报错了
      06-17
      回复
  • 🤔
    🤔
    06-10

    由图可以看出自2.14.1版本开始就报错了,害我以为我之前改过代码,找了几个小时原因,愣是没找出来问题

    06-10
    有用
    回复 1
    • 邹百亿
      邹百亿
      06-19
      降低版本就解决了 ,没办法
      06-19
      回复
  • Q
    Q
    05-12

    同问,更新了版本就出现了一样的问题

    05-12
    有用
    回复 3
    • Q
      Q
      05-12
      换了低一点的版本,不报错了
      05-12
      回复
    • 邹百亿
      邹百亿
      05-12回复Q
      是的  基础版本库调低就没问题  太高了就会出错
      05-12
      回复
    • Frank🤨
      Frank🤨
      06-08回复Q
      确实,也不知道官方什么时候解决
      06-08
      回复
  • L.Lawlite
    L.Lawlite
    04-28

    1同问,使用Wepy 1.7.2 创建新项目,基础库2.13.2 以上就出现如图问题,

    04-28
    有用
    回复 1
    • 邹百亿
      邹百亿
      06-19
      降低版本就解决了  ,没办法
      06-19
      回复
登录 后发表内容
问题标签